## NAME

v.trim - Trims small spurs, and removes excessive nodes from a binary GRASS vector (dig) file.
(GRASS Raster Program)

## SYNOPSIS

v.trim
v.trim help
v.trim input=name output=name [trim=value]

## DESCRIPTION

v.trim scans the user-specified GRASS vector input file and removes from it all lines having a length less than a user-specified trimming factor. Excess nodes (those unnecessary to a line's definition) between line junctions are also removed. The resulting vector output is sent to a user-named output file; the original vector input file is not modified by v.trim.

The trimming factor parameter (trim=value) gives the user control over the size of small spurs or "dangling lines" to be removed. The trimming factor is expressed in the same units (map coordinates) as the vector (dig) data within the user's current GRASS data base LOCATION (e.g.: in meters for UTM locations; in pixels or cells for locations in an x,y coordinate system; etc.).

## OPTIONS

The user can run this program either non-interactively or interactively. The program will be run non-interactively if the user specifies program arguments on the command line, using the form:

  v.trim input=name output=name [trim=value]

If vector map input and output names are given on the command line, any other parameter values left unspecified on the command line will be set to their default values (see below). Alternately, the user can simply type v.trim on the command line, without program arguments. In this case, the user will be prompted for needed parameter values using the standard GRASS parser interface.

### Parameters:

input=name
  Name of an existing vector map layer in the user's current mapset search path containing lines to be "trimmed".
output=name
  Name of a new vector file to contained the "trimmed" output.
trim=value
  A user-specified trimming factor, denoting the length of trimmed lines in map units. All lines having a length less than this trimming factor will be "trimmed" (i.e., removed) from the named vector input file.
  Default: 10 (in units of meters or cells)

## NOTES

v.support must be run on the vector input file prior to running v.trim.

v.support must also be run on the resultant vector output file to build the needed topology information stored under the user's dig_plus directory.

r.line maintains the same format (binary or ASCII) and attribute type (linear or area edge) as those of the original vector (dig) input file.

A trimming factor of zero (0) will not remove any small spurs, but will remove all excess nodes.

## SEE ALSO

v.digit
v.import
v.support
parser

## AUTHOR

Mike Baba
DBA Systems, Inc.

Last changed: $Date: 2002/01/25 05:45:35 $